> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List beats (deprecated)

> This endpoint returns a list of information about all beat resources associated with the user for which the Nexus session is open.



## OpenAPI

````yaml openapi/nexus/v1.yaml GET /beats
openapi: 3.0.0
info:
  contact:
    name: Nexus API
    url: https://www.mx.com
  version: 1.0.0
  title: Nexus API
  description: >-
    Legacy clients can use Nexus API for all their connectivity needs. If you
    are a new client refer to our Platform API. Review our [Nexus API
    Guides](/nexus) for more information.
servers:
  - url: https://int-data.moneydesktop.com/
  - url: https://data.moneydesktop.com/
security:
  - sessionToken: []
tags:
  - name: accounts
  - name: beats
  - name: budgets
  - name: categories
  - name: extended transaction history
  - name: goals
  - name: holdings
  - name: identity
  - name: insights
  - name: institutions
  - name: jobs
  - name: member credentials
  - name: members
  - name: merchants
  - name: microdeposits
  - name: monthly cash flow profile
  - name: notifications
  - name: scheduled payments
  - name: sessions
  - name: spending plan
  - name: taggings
  - name: tags
  - name: transaction rules
  - name: transactions
  - name: user
  - name: verification
paths:
  /beats:
    get:
      tags:
        - beats
      summary: List beats (deprecated)
      description: >-
        This endpoint returns a list of information about all beat resources
        associated with the user for which the Nexus session is open.
      operationId: listBeats
      responses:
        '200':
          description: OK
          content:
            application/vnd.mx.nexus.v1+json:
              schema:
                $ref: '#/components/schemas/Beats'
components:
  schemas:
    Beats:
      properties:
        beats:
          items:
            type: object
            properties:
              account_guids:
                type: array
                items:
                  type: string
                  example: ACT-2746bc4c-ee78-5631-5a33-062dea4b0437
                description: >-
                  An array of account GUIDs that are relevant to the information
                  delivered in the beat.
              created_at:
                type: string
                example: '2020-03-31T18:41:32.000Z'
                description: >-
                  The date and time the beat was created, given in ISO 8601 with
                  a timestamp.
              description:
                type: string
                example: >-
                  It looks like your most recent bill from Comcast was lower
                  than it normally is. You paid $31.26, which is 28% lower than
                  your recent average payment of $43.43.
                description: >-
                  The human-readable information being delivered to the end
                  user.
              digest:
                type: string
                example: 87+y8ZLvW/TIr5tbknUtGg==
                description: >-
                  A unique identifier derived from inputs to the beat which
                  ensures beats are not duplicated.
              displayed_at:
                type: string
                example: '2020-03-03T17:55:40.000Z'
                description: >-
                  The date and time at which the beat was displayed to the end
                  user, given in ISO 8601 with a timestamp.
              guid:
                type: string
                example: BET-725b097e-ab18-43ca-a7fe-3c98c5a1db08
                description: The unique identifier for the beat. Defined by MX.
              has_been_displayed:
                type: boolean
                example: false
                description: >-
                  This indicates whether the beat has been shown to the end
                  user.
              is_dismissed:
                type: boolean
                example: false
                description: >-
                  This indicates whether the beat has been dismissed by the end
                  user.
              is_relevant:
                type: boolean
                example: false
                description: >-
                  This indicates whether a beat still contains information that
                  is relevant, meaningful, or useable to the end user. For
                  example, an `OverdraftWarning` will have `is_relevant` set to
                  `false` if a large deposit is made into the associated account
                  after the beat was created. Any beat which has already been
                  displayed to or dismissed by the end user will be set to
                  `false`. There are numerous examples and conditions.
              primary_account_guid:
                type: string
                example: ACT-2746bc4c-ee78-5631-5a33-062dea4b0437
                description: >-
                  The unique identifier for the account most relevant to the
                  information delivered in the beat.
              primary_transaction_guid:
                type: string
                example: TRN-3e5919b3-c9c9-4346-b187-2ff235d371ec
                description: >-
                  The unique identifier for the transaction most relevant to the
                  information delivered in the beat.
              template:
                type: string
                example: BillAmountNotStandard
                description: >-
                  A short label for the type of beat being delivered, e.g.,
                  `SubscriptionPriceIncrease` or `MonthlyCategoryTotal`.
              title:
                type: string
                example: Bill lower than usual
                description: >-
                  The title for the specific beat, e.g., `Price Increase` or
                  `Paycheck Deposit`.
              transaction_guids:
                type: array
                items:
                  type: string
                  example: TRN-3e5919b3-c9c9-4346-b187-2ff235d371ec
                description: >-
                  An array of transaction GUIDs that are relevant to the
                  information delivered in the beat.
              updated_at:
                type: string
                example: '2020-03-31T18:41:32.000Z'
                description: >-
                  The date and time the beat was last updated, given in ISO 8601
                  without a timestamp.
              user_guid:
                type: string
                example: USR-29dfffe5-296e-4784-89fd-6e81c8e682e6
                description: >-
                  The unique identifier for the user to which the beat belongs.
                  Defined by MX.
  securitySchemes:
    sessionToken:
      description: >
        ### MX Session Token 

        - Request an API token using the read API token endpoint in the MX SSO
        API.

        - Exchange an API token for a session token. 
          - A session token is obtained by sending a POST request to /sessions
          - The session token will be used in each request made for the user. It should be passed in an `MD-SESSION-TOKEN` HTTP header as shown below.
          - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
          - If you send a request with an expired session token you'll receive an error code of `4011`.

        ```

        curl -i https://int-data.moneydesktop.com/accounts \

        -H 'MD-SESSION-TOKEN:
        CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg'
        \

        -H 'Content-Type: application/vnd.mx.nexus.v1+json' \

        -H 'Accept: application/vnd.mx.nexus.v1+json'

        ```


        In documentation code examples, replace `<API_KEY_VALUE>` with the
        session token.
      type: apiKey
      name: MD-SESSION-TOKEN
      in: header

````